/* ***** BEGIN LICENSE BLOCK ***** 
 * Version: RCSL 1.0/RPSL 1.0 
 *  
 * Portions Copyright (c) 1995-2002 RealNetworks, Inc. All Rights Reserved. 
 *      
 * The contents of this file, and the files included with this file, are 
 * subject to the current version of the RealNetworks Public Source License 
 * Version 1.0 (the "RPSL") available at 
 * http://www.helixcommunity.org/content/rpsl unless you have licensed 
 * the file under the RealNetworks Community Source License Version 1.0 
 * (the "RCSL") available at http://www.helixcommunity.org/content/rcsl, 
 * in which case the RCSL will apply. You may also obtain the license terms 
 * directly from RealNetworks.  You may not use this file except in 
 * compliance with the RPSL or, if you have a valid RCSL with RealNetworks 
 * applicable to this file, the RCSL.  Please see the applicable RPSL or 
 * RCSL for the rights, obligations and limitations governing use of the 
 * contents of the file.  
 *  
 * This file is part of the Helix DNA Technology. RealNetworks is the 
 * developer of the Original Code and owns the copyrights in the portions 
 * it created. 
 *  
 * This file, and the files included with this file, is distributed and made 
 * available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. 
 * 
 * Technology Compatibility Kit Test Suite(s) Location: 
 *    http://www.helixcommunity.org/content/tck 
 * 
 * Contributor(s): 
 *  
 * ***** END LICENSE BLOCK ***** */ 

#ifndef __HXENGSP_H__
#define __HXENGSP_H__

struct IHXCallback;
DEFINE_SMART_POINTER(IHXCallback);
DEFINE_WRAPPED_POINTER(IHXCallback);

struct IHXScheduler;
DEFINE_SMART_POINTER(IHXScheduler);
DEFINE_WRAPPED_POINTER(IHXScheduler);

struct IHXTCPResponse;
DEFINE_SMART_POINTER(IHXTCPResponse);
DEFINE_WRAPPED_POINTER(IHXTCPResponse);

struct IHXTCPSocket;
DEFINE_SMART_POINTER(IHXTCPSocket);
DEFINE_WRAPPED_POINTER(IHXTCPSocket);

struct IHXListenResponse;
DEFINE_SMART_POINTER(IHXListenResponse);
DEFINE_WRAPPED_POINTER(IHXListenResponse);

struct IHXListenSocket;
DEFINE_SMART_POINTER(IHXListenSocket);
DEFINE_WRAPPED_POINTER(IHXListenSocket);

struct IHXNetworkServices;
DEFINE_SMART_POINTER(IHXNetworkServices);
DEFINE_WRAPPED_POINTER(IHXNetworkServices);

struct IHXUDPResponse;
DEFINE_SMART_POINTER(IHXUDPResponse);
DEFINE_WRAPPED_POINTER(IHXUDPResponse);

struct IHXUDPSocket;
DEFINE_SMART_POINTER(IHXUDPSocket);
DEFINE_WRAPPED_POINTER(IHXUDPSocket);

struct IHXResolver;
DEFINE_SMART_POINTER(IHXResolver);
DEFINE_WRAPPED_POINTER(IHXResolver);

struct IHXResolverResponse;
DEFINE_SMART_POINTER(IHXResolverResponse);
DEFINE_WRAPPED_POINTER(IHXResolverResponse);

struct IHXInterruptSafe;
DEFINE_SMART_POINTER(IHXInterruptSafe);
DEFINE_WRAPPED_POINTER(IHXInterruptSafe);

struct IHXAsyncIOSelection;
DEFINE_SMART_POINTER(IHXAsyncIOSelection);
DEFINE_WRAPPED_POINTER(IHXAsyncIOSelection);

struct IHXUDPMulticastInit;
DEFINE_SMART_POINTER(IHXUDPMulticastInit);
DEFINE_WRAPPED_POINTER(IHXUDPMulticastInit);

struct IHXInterruptState;
DEFINE_SMART_POINTER(IHXInterruptState);
DEFINE_WRAPPED_POINTER(IHXInterruptState);

#endif // !__HXENGSP_H__
